Page Summary
-
This method lists all agents associated with a brand.
-
The HTTP request uses a GET method with the URL
https://businesscommunications.googleapis.com/v1/{parent=brands/*}/agents. -
The required path parameter
parentidentifies the brand, or can be "-" to return all agents for an RBM carrier. -
The
pageSizequery parameter is always set to 0 with this method. -
The response body contains a list of agents and a pagination token.
Lists all the agents associated with a brand.
HTTP request
GET https://businesscommunications.googleapis.com/v1/{parent=brands/*}/agents
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The unique identifier of the brand. If the brand identifier is "1234", this parameter resolves to "brands/1234". The brand identifier must be "-" to return all agents for an RBM carrier. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Specify the maximum number of results to be returned by the server. The server may further constrain the maximum number of results returned in a single page. If the pageSize is 0, the server will decide the number of results to be returned. |
pageToken |
The nextPageToken value returned from a previous List request, if any. |
Request body
The request body must be empty.
Response body
A list of agents.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"agents": [
{
object ( |
| Fields | |
|---|---|
agents[] |
List of agent information. |
nextPageToken |
The pagination token to retrieve the next page of results. If the value is "", it means no further results for the request. |